## PseudoFuN (Pseudogene Functional Network)

PseudoFuN is a computational tool for studying potential functions of
pseudogenes in the context of evolution and diseases, developed by the Zhang Lab
of Computational Genomics and Proteomics at OSU BMI. PseudoFuN is made of

1. a comprehensive similarity network of known pseudogenes and genes,
2. GO functional annotations of the nodes,
3. as well a sequence query tool that allows the querying of sequences (e.g. novel pseudogene sequence) against the network database.

The query tool (app) is accessible on OSC. It retrieves
functional information of query from the similarity networks, including gene
counterparts, GO annotations, and enriched functions of related subnetworks.
This tool is also scalable allowing other datatypes to be overlayed to the
similarity network when they become available.

### Research Group: [The Zhang Lab of Computational Genomics and Proteomics](https://sites.google.com/site/yanzhanglab/lab-members)

#### Affiliations:

- Department of Biomedical Informatics
- College of Medicine
- The Ohio State University

#### Reference:

- Johnson T, Li S, Huang K, Zhang Y. Evaluating relationships
between pseudogenes and genes: from pseudogene evolution to their functional
potentials. Submitted. 2017.

#### Contact:

- Travis Johnson MS (travis.johnson@osumc.edu)
- Yan Zhang PhD (yan.zhang@osumc.edu)

